I'mBoardDocs
API Reference

API Reference

Interactive API reference generated from the I'mBoard OpenAPI 3.1 specification.

The API reference is generated from the OpenAPI 3.1 specification.

You can also download the raw spec:

Base URL

https://app.imboard.ai/api/v1

Authentication

All endpoints require a Bearer token:

Authorization: Bearer imb_pat_...

See Authentication for details.

Endpoints Overview

Me

MethodPathDescription
GET/api/v1/meGet current user profile

Boards

MethodPathDescription
GET/api/v1/boardsList boards
GET/api/v1/boards/:boardIdGet a board

Members

MethodPathDescription
GET/api/v1/boards/:boardId/membersList board members
GET/api/v1/boards/:boardId/members/:memberIdGet a board member

Meetings

MethodPathDescription
GET/api/v1/boards/:boardId/meetingsList meetings
GET/api/v1/boards/:boardId/meetings/:meetingIdGet a meeting
POST/api/v1/boards/:boardId/meetingsCreate a meeting
PATCH/api/v1/boards/:boardId/meetings/:meetingIdUpdate a meeting

Documents

MethodPathDescription
GET/api/v1/boards/:boardId/documentsList documents
GET/api/v1/boards/:boardId/documents/:documentIdGet a document

Reports

MethodPathDescription
GET/api/v1/boards/:boardId/reportsList reports
GET/api/v1/boards/:boardId/reports/:reportIdGet a report

Dashboards

MethodPathDescription
GET/api/v1/boards/:boardId/reports/:reportId/dashboardsList dashboards
GET/api/v1/boards/:boardId/reports/:reportId/dashboards/:dashboardIdGet a dashboard

On this page